// 用户相关
// 修改用户信息
export const updateInfo = {
    url: "/user/updateInfo"
}

// 获取用户收货地址列表
export const getAddrList = {
    url: "/addr/getAddr"
}

// 添加用户收货地址
export const addAddr = {
    url: "/addr/addAddr"
}

// 删除用户收货地址
export const delAddr = {
    url: "/addr/delAddr",
    dealReqData: ({ id }) => {
        return { id }
    }
}
// 获取转币地址
export const getTranAddr = {
    url: "/addr/getTranAddr"
}
// 设置支付密码
export const setPayPassword = {
    url: "/user/setPayPassword"
}


// 收藏列表
export const getCollectionsList = {
    url: "/user/collectionsList",
    dealReqData: ({ page, size }) => {
        return { page, size }
    }
}
// 用户收藏-取消收藏商品 参数goodsId
export const colletcionsGoodsId = {
    url: "/user/colletcions",
    dealReqData: ({ goodsId }) => {
        return { goodsId }
    }
}
// 用取消收藏批量 参数 goodsIds
export const delCollections = {
    url: "/user/delCollections",
    dealReqData: ({ goodsIds }) => {
        return { goodsIds }
    }
}
// 是否收藏 参数 goodsId
export const isCollections = {
    url: "/user/isCollections",
    dealReqData: ({ goodsId }) => {
        return { goodsId }
    }
}
// 获取浏览足迹
export const getFootprint = {
    url: "/user/getFoot",
    dealReqData: ({ page, size }) => {
        return { page, size }
    }
}
// 删除浏览足迹
export const delFootprint = {
    url: "/user/delFoot",
    dealReqData: ({ goodsIds }) => {
        return { goodsIds }
    }
}

// 用户关注-取消关注商家 参数merchantId
export const followMerchantId = {
    url: "/user/follow",
    dealReqData: ({ merchantId }) => {
        return { merchantId }
    }
}
// 取消批量关注
export const delFollows = {
    url: "/user/delFollows",
    dealReqData: ({ merchantIds }) => {
        return { merchantIds }
    }
}
// 关注列表
export const getFollowList = {
    url: "/user/getFollow",
    dealReqData: ({ page, size }) => {
        return { page, size }
    }
}
//是否关注 参数 merchantId
export const isFollow = {
    url: "/user/isFollow",
    dealReqData: ({ merchantId }) => {
        return { merchantId }
    }
}
// 获取优惠券 参数param: 1 有效 2 已使用 3 过期
export const getCouponList = {
    url: "/user/couponList",
    dealReqData: ({ page, size, param}) => {
        return { page, size, param}
    }
}
// 用户部分信息统计
export const getUserCount = {
    url: "/user/getUserCount"
}
// 消息
export const getNotice = {
    url: "/user/without/getNotice",
    dealReqData: ({ page, size}) => {
        return { page, size}
    }
}

// 获取会员奖励信息
export const getRewardRule = {
    url: "/user/getRewardRule"
}
